pydo.users.get()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.users.get(user_id="alice")
Returns JSONRaises HttpResponseError

Description

Returns the sessions and non-revoked connections of one user ID. Returns 404 when the user has none you can see and no limit overrides.

Parameters

user_id string required

User ID.

Response Example

Show Response Example
{
  "user": {
    "user_id": "alice",
    "sessions": [
      {
        "session_urn": "do:managed_agent_session:2b3c9f0e-1a4d-4e5f-8a7b-6c5d4e3f2a1b",
        "name": "support-bot-alice",
        "created_at": "2026-09-24T12:00:00Z",
        "updated_at": "2026-09-24T12:00:00Z"
      }
    ],
    "connections": [
      {
        "id": "39f9f768-a7f9-4c91-9557-3328c53dd054",
        "provider": "jira",
        "user_id": "alice",
        "scopes": [
          "write:jira-work"
        ],
        "status": "active",
        "granted_at": "2026-07-14T00:52:10Z",
        "revoked_at": null,
        "created_at": "2026-07-14T00:50:00Z",
        "updated_at": "2026-07-14T00:52:10Z",
        "provider_display_name": "Jira",
        "connection_parameters": {
          "site_url": "https://example.atlassian.net"
        },
        "credential_kind": "digitalocean_oauth",
        "credential_id": "",
        "network": null
      }
    ]
  }
}

More Information

See /v2/action-gateway/users/{user_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.